> For the complete documentation index, see [llms.txt](https://docs.thesports.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thesports.com/dota2/realtime-data/real-time-data.md).

# Real-time data

## Real-time data

> Return player data, economic curve, experience curve, bp link events in real-time matches(full update)\<br/>Suggest the request frequency:2 seconds/time\<br/>\<br/>Description:\<br/>Match time (seconds) = current time-data release time + time difference between the start time and the release time (calculated based on the timer field)\<br/>Notes:When the data release time = 0, the time difference between the start time and the release time is directly obtained

```json
{"openapi":"3.0.1","info":{"title":"Gaming DOTA2 API","version":"1.0.250516"},"tags":[{"name":"REALTIME DATA","description":"REALTIME DATA"}],"servers":[{"url":"https://api.thesports.com"}],"paths":{"/v1/dota2/match/detail_live":{"get":{"tags":["REALTIME DATA"],"description":"Return player data, economic curve, experience curve, bp link events in real-time matches(full update)<br/>Suggest the request frequency:2 seconds/time<br/><br/>Description:<br/>Match time (seconds) = current time-data release time + time difference between the start time and the release time (calculated based on the timer field)<br/>Notes:When the data release time = 0, the time difference between the start time and the release time is directly obtained","summary":"Real-time data","operationId":"getMatchDetailLive","parameters":[{"$ref":"#/components/parameters/User"},{"$ref":"#/components/parameters/Secret"}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"results":{"type":"array","items":{"$ref":"#/components/schemas/MatchDetailLive"}}}}}}},"404":{"$ref":"#/components/responses/404NotFound"}}}}},"components":{"parameters":{"User":{"name":"user","in":"query","description":"Username,please contact business","required":true,"schema":{"type":"string"}},"Secret":{"name":"secret","in":"query","description":"Key,please contact business","required":true,"schema":{"type":"string"}}},"schemas":{"MatchDetailLive":{"type":"object","description":"Data details","properties":{"match_id":{"type":"string","description":"Match id"},"box_num":{"type":"integer","description":"Current inning"},"status_id":{"type":"integer","description":"Match status, please refer to Status Code -> Match Status"},"single_status_id":{"type":"integer","description":"Current game status, please refer to Status Code -> Match Status"},"timer":{"$ref":"#/deps/schemas/Ttimer"},"is_bp":{"type":"integer","description":"Whether it is in the bp link, 1. Yes, 0. No (The bp link does not belong to the match time)"},"bp_data":{"type":"array","description":"BP Date","items":{"$ref":"#/deps/schemas/LiveBPEvent"}},"home":{"type":"object","description":"Home team data","properties":{"id":{"type":"string","description":"Team id"},"side":{"type":"integer","description":"Owner, 1. Radiant, 2. Dire"},"score":{"type":"integer","description":"Total score (match score)"},"stats":{"$ref":"#/deps/schemas/LiveTeamStats"},"pick":{"$ref":"#/deps/schemas/Pick"},"ban":{"$ref":"#/deps/schemas/Ban"},"players":{"type":"array","description":"Player data","items":{"$ref":"#/deps/schemas/LivePlayers"}}}},"away":{"type":"object","description":"Away team data","properties":{"id":{"type":"string","description":"Team id"},"side":{"type":"integer","description":"Owner, 1. Radiant, 2. Dire"},"score":{"type":"integer","description":"Total score (match score)"},"stats":{"$ref":"#/deps/schemas/LiveTeamStats"},"pick":{"$ref":"#/deps/schemas/Pick"},"ban":{"$ref":"#/deps/schemas/Ban"},"players":{"type":"array","description":"Player data","items":{"$ref":"#/deps/schemas/LivePlayers"}}}},"roushan_timer":{"type":"integer","description":"Roshan respawn timer (seconds remaining)"},"economy_lines":{"$ref":"#/deps/schemas/LiveEconomy"},"experience_lines":{"$ref":"#/deps/schemas/LiveExperience"}}}},"responses":{"404NotFound":{"description":"Resource does not exist","content":{"application/json":{"schema":{"$ref":"#/common/schemas/ErrorMsg"}}}}}},"deps":{"schemas":{"Ttimer":{"type":"array","description":"Match time field description<br/>example:[0, 0, 1587544542, 835, 0]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Whether to go to the watch, 1. Yes, 0. No | Integer |\n| `1` | Whether to count down, 1. Yes, 0. No | Integer |\n| `2` | Data release time | Integer |\n| `3` | Time difference between start time and release time (seconds) | Integer |\n| `4` | Compatible, ignore | Integer |\n","items":""},"LiveBPEvent":{"type":"object","description":"Data details","properties":{"team_id":{"type":"string","description":"Team id"},"type":{"type":"integer","description":"Type, 1-pick 2-ban"},"hero_id":{"type":"string","description":"Hero id"}}},"LiveTeamStats":{"type":"array","description":"Team statistics field description<br/>example:[10, 2047, 63, 3765, 6279, 0, 0, 1, 0, 1, 1]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Kills | Integer |\n| `1` | Tower Status, please refer to Status Code -> Tower Status | Integer |\n| `2` | Barrack Status, please refer to Status Code -> Barrack Status | Integer |\n| `3` | Economic | Integer |\n| `4` | Economic difference | Integer |\n| `5` | Experience | Integer |\n| `6` | Win this single inning, 1. Yes, 0. No | Integer |\n| `7` | First Blood, 1. Yes, 0. No | Integer |\n| `8` | First Tower, 1. Yes, 0. No | Integer |\n| `9` | First Five Kill, 1. Yes, 0. No | Integer |\n| `10` | First Ten Kill, 1. Yes, 0. No | Integer |\n","items":""},"Pick":{"type":"array","description":"Choose hero ids<br/>example:[\"j1l4rjektzem7vx\", \"kjw2r08etgqz84o\", \"jednm920f6ryox8\"]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Hero id | String |\n","items":""},"Ban":{"type":"array","description":"Banned hero ids<br/>example:[\"kdj2ryy2ij0r1zp\", \"l965mk6pie8q1ge\", \"vl7oqd9xh4zm510\"]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Hero id | String |\n","items":""},"LivePlayers":{"type":"object","properties":{"id":{"type":"string","description":"Player id"},"hero_id":{"type":"string","description":"Hero id"},"stats":{"$ref":"#/deps/schemas/LivePlayerStats"},"equipments":{"$ref":"#/deps/schemas/Eequipment"},"spells":{"$ref":"#/deps/schemas/Spell"},"talents":{"$ref":"#/deps/schemas/Talent"},"ultimate_status":{"type":"integer","description":"Ultimate status, 1. Available, 0. Not available"}}},"LivePlayerStats":{"type":"array","description":"Player statistics field description<br/>example:[1, 3, 0, 3, 199, 9, 560, 700, 12354, 17, 0]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Position order | Integer |\n| `1` | Kills | Integer |\n| `2` | Deaths | Integer |\n| `3` | Assists | Integer |\n| `4` | Last Hits | Integer |\n| `5` | Denies | Integer |\n| `6` | Averages economy per minute | Integer |\n| `7` | Averages experience per minute | Integer |\n| `8` | Economy | Integer |\n| `9` | Hero level | Integer |\n| `10` | Resurrection time | Integer |\n","items":""},"Eequipment":{"type":"array","description":"Equipment ids(\"\" - Unknown, placeholder)<br/>example:[\"v2y8m4egt40ql07\", \"gpxwrx8ote7qyk0\", \"\"]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Equipment id | String |\n","items":""},"Spell":{"type":"array","description":"Hero skills ids(\"\" - Unknown, placeholder)<br/>example:[\"\", \"l965mk6zt2q1ge4\"]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Hero skill id | String |\n","items":""},"Talent":{"type":"array","description":"Hero Talents ids(\"\" - Unknown, placeholder)<br/>example:[\"\", \"l965mk6zt2q1ge4\"]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Hero talent id | String |\n","items":""},"LiveEconomy":{"type":"array","description":"Economic curve: the difference between the home team and the away team (Home team - Away team),Change with time<br/>example:[\"51:124\", \"73:414\", \"94:112\"]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Time (seconds):economic difference | String |\n","items":""},"LiveExperience":{"type":"array","description":"Experience curve: the difference between the home team and the away team (Home team - Away team),Change with time<br/>example:[\"31:124\", \"53:414\", \"74:112\"]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Time (seconds):experience difference | String |\n","items":""}}},"common":{"schemas":{"ErrorMsg":{"type":"object","description":"abnormal","properties":{"code":{"type":"integer","description":"status code"},"msg":{"type":"string","description":"Error message"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thesports.com/dota2/realtime-data/real-time-data.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
